{% extends "layout.html" %}

{% block title %}
    Intro Events
{% endblock%}

{% block body %}
    <form class="buttons">
        <div>
            You have {{ current_user.intro_bux }} Bux.
        </div>
        <a role="button" href="{{ url_for('create_transaction')}}">Buy Bux</a>
        {% if current_user.is_teacher %}
            <a role="button" href="{{ url_for('add_event')}}">Add an Event</a>
        {% endif %}
    </form>

    <div class="people-cards company">
        {% if events %}
            {% for event in events %}
                {% set user = namespace(registered=False) %}
                {% for registration in event.registrations %}
                    {% if registration.student_id == current_user.id %}
                        {% set user.registered = True %}
                    {% endif %}
                {% endfor %}
                <a href="{{ url_for('show_event', event_id=event.id) }}">
                    <div class="card company-header" style="padding: 0; background-color: #009c82; {% if event.image_file %} background-size: cover; background-position: 50% 50%; background-image: url({{event.image_file}}); {% endif %} {% if user.registered %}border: 2px solid var(--progress-color);{% endif %}">
                        <div style="padding: 8px; height: 100%; width: 100%; justify-content: flex-end; color: white; background: linear-gradient(to bottom, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.6) 100%); display: flex; flex-direction: column;">
                            <div class="name">{{ event.title }}</div>
                            <div>{{event.event_time | localtime}}</div>
                        </div>
                    </div>
                </a>
            {% endfor %} 
        {% else %}
            <div class="name">No events found... yet</div>
        {% endif %}

    </div>
{% endblock %}
